Rapid7 Vulnerability & Exploit Database

Ubuntu: (Multiple Advisories) (CVE-2016-6213): Linux kernel (Raspberry Pi 2) vulnerabilities

Back to Search

Ubuntu: (Multiple Advisories) (CVE-2016-6213): Linux kernel (Raspberry Pi 2) vulnerabilities

Severity
5
CVSS
(AV:L/AC:M/Au:N/C:N/I:N/A:C)
Published
12/20/2016
Created
07/25/2018
Added
12/21/2016
Modified
09/12/2020

Description

fs/namespace.c in the Linux kernel before 4.9 does not restrict how many mounts may exist in a mount namespace, which allows local users to cause a denial of service (memory consumption and deadlock) via MS_BIND mount system calls, as demonstrated by a loop that triggers exponential growth in the number of mounts.

Solution(s)

  • ubuntu-upgrade-linux-image-3-13-0-106-generic
  • ubuntu-upgrade-linux-image-3-13-0-106-generic-lpae
  • ubuntu-upgrade-linux-image-3-13-0-106-lowlatency
  • ubuntu-upgrade-linux-image-3-13-0-106-powerpc-e500
  • ubuntu-upgrade-linux-image-3-13-0-106-powerpc-e500mc
  • ubuntu-upgrade-linux-image-3-13-0-106-powerpc-smp
  • ubuntu-upgrade-linux-image-3-13-0-106-powerpc64-emb
  • ubuntu-upgrade-linux-image-3-13-0-106-powerpc64-smp
  • ubuntu-upgrade-linux-image-4-4-0-1038-raspi2
  • ubuntu-upgrade-linux-image-4-4-0-1042-snapdragon
  • ubuntu-upgrade-linux-image-4-4-0-57-generic
  • ubuntu-upgrade-linux-image-4-4-0-57-generic-lpae
  • ubuntu-upgrade-linux-image-4-4-0-57-lowlatency
  • ubuntu-upgrade-linux-image-4-4-0-57-powerpc-e500mc
  • ubuntu-upgrade-linux-image-4-4-0-57-powerpc-smp
  • ubuntu-upgrade-linux-image-4-4-0-57-powerpc64-emb
  • ubuntu-upgrade-linux-image-4-4-0-57-powerpc64-smp
  • ubuntu-upgrade-linux-image-4-8-0-1021-raspi2
  • ubuntu-upgrade-linux-image-4-8-0-32-generic
  • ubuntu-upgrade-linux-image-4-8-0-32-generic-lpae
  • ubuntu-upgrade-linux-image-4-8-0-32-lowlatency
  • ubuntu-upgrade-linux-image-4-8-0-32-powerpc-e500mc
  • ubuntu-upgrade-linux-image-4-8-0-32-powerpc-smp
  • ubuntu-upgrade-linux-image-4-8-0-32-powerpc64-emb
  • ubuntu-upgrade-linux-image-generic
  • ubuntu-upgrade-linux-image-generic-lpae
  • ubuntu-upgrade-linux-image-generic-lpae-lts-trusty
  • ubuntu-upgrade-linux-image-generic-lpae-lts-xenial
  • ubuntu-upgrade-linux-image-generic-lts-trusty
  • ubuntu-upgrade-linux-image-generic-lts-xenial
  • ubuntu-upgrade-linux-image-lowlatency
  • ubuntu-upgrade-linux-image-lowlatency-lts-xenial
  • ubuntu-upgrade-linux-image-powerpc-e500
  • ubuntu-upgrade-linux-image-powerpc-e500mc
  • ubuntu-upgrade-linux-image-powerpc-e500mc-lts-xenial
  • ubuntu-upgrade-linux-image-powerpc-smp
  • ubuntu-upgrade-linux-image-powerpc-smp-lts-xenial
  • ubuntu-upgrade-linux-image-powerpc64-emb
  • ubuntu-upgrade-linux-image-powerpc64-emb-lts-xenial
  • ubuntu-upgrade-linux-image-powerpc64-smp
  • ubuntu-upgrade-linux-image-powerpc64-smp-lts-xenial
  • ubuntu-upgrade-linux-image-raspi2
  • ubuntu-upgrade-linux-image-snapdragon

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;